Package com.google.protobuf

# Interface DescriptorProtos.EnumValueOptionsOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.EnumValueOptions>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.EnumValueOptions`, `DescriptorProtos.EnumValueOptions.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.EnumValueOptionsOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.EnumValueOptions>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDebugRedact()`
`optional bool debug_redact = 3 [default = false, json_name = "debugRedact"];`
`boolean`
`getDeprecated()`
`optional bool deprecated = 1 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`
`DescriptorProtos.FieldOptions.FeatureSupport`
`getFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
`getFeatureSupportOrBuilder()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`hasDebugRedact()`
`optional bool debug_redact = 3 [default = false, json_name = "debugRedact"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 1 [default = false, json_name = "deprecated"];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`
`boolean`
`hasFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasDeprecated

boolean hasDeprecated()
`optional bool deprecated = 1 [default = false, json_name = "deprecated"];`

Returns:
  Whether the deprecated field is set.

### getDeprecated

boolean getDeprecated()
`optional bool deprecated = 1 [default = false, json_name = "deprecated"];`

Returns:
  The deprecated.

### hasFeatures

boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`

Returns:
  Whether the features field is set.

### getFeatures

DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`

Returns:
  The features.

### getFeaturesOrBuilder

DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 2 [json_name = "features"];`

### hasDebugRedact

boolean hasDebugRedact()
`optional bool debug_redact = 3 [default = false, json_name = "debugRedact"];`

Returns:
  Whether the debugRedact field is set.

### getDebugRedact

boolean getDebugRedact()
`optional bool debug_redact = 3 [default = false, json_name = "debugRedact"];`

Returns:
  The debugRedact.

### hasFeatureSupport

boolean hasFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`

Returns:
  Whether the featureSupport field is set.

### getFeatureSupport

DescriptorProtos.FieldOptions.FeatureSupport getFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`

Returns:
  The featureSupport.

### getFeatureSupportOrBuilder

DescriptorProtos.FieldOptions.FeatureSupportOrBuilder getFeatureSupportOrBuilder()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 4 [json_name = "featureSupport"];`

### getUninterpretedOptionList

List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOption

DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionCount

int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilderList

List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`